#import "Movie.h"


@implementation Movie

@synthesize title;
@synthesize rating;

- (id)initWithTitle:(NSString *)newTitle
		  andRating:(int)newRating {
	self = [super init];
	if(nil != self) {
		self.title = newTitle;
		self.rating = newRating;
	}
	return self;
}

- (NSString *)description {
	NSString *oldDescription = [super description];
	return [NSString stringWithFormat:@"%@ title = %@, rating = %d", 
			oldDescription, self.title, self.rating];
}

- (void)setTitle:(NSString *)newTitle {
	title = [newTitle capitalizedString];
}

- (void)play {
	NSLog(@"Playing %@ - Stars = %d", self.title, self.rating);
}

@end
